Dash0 acquires Polar Signals

Prometheus API

Returns a list of label values for a provided label name

get/api/prometheus/api/v1/label/{label_name}/values

Parameters 6

label_namepathrequired

The label name whose values are returned.

string
startquery

Start timestamp to restrict the set of returned label values.

stringformat "rfc3339 | unix_timestamp"
endquery

End timestamp to restrict the set of returned label values.

stringformat "rfc3339 | unix_timestamp"
match[]query

Repeated series selector that restricts the label values returned.

array
stringformat "series_selector"
limitquery

Maximum number of results. Defaults to and is capped at the server-configured maximum.

integerformat "int64"minimum 1
datasetquery

Dataset to query. Defaults to the organization's default dataset.

References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample request
12
curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/label/service_name/values' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"

Responses

Returns a list of label values for a provided label name.

stringrequired
string[]
string[]